import warnings
from typing import Optional, Tuple
from axelrod.action import Action
from axelrod.player import Player
lllllIllIIIIIllIll, IlIllIlIIlIIllI = Action.C, Action.D
class llIIIIIl(Player):
    llIlIllllll = "strategy"
    IlIIIIIIllIlIllIII = {
        "memory_depth": 1,  
        "stochastic": False,
        "makes_use_of": set(),
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IllIIIlIllIIIIIll(IlllIlllIIll, IlIllIIIIlIlIlIIII: Player) -> Action:
        if not IlllIlllIIll.history:
            return lllllIllIIIIIllIll
        llIIIlIlI = (IlllIlllIIll.history[-1], IlIllIIIIlIlIlIIII.history[-1])
        if llIIIlIlI == (lllllIllIIIIIllIll, lllllIllIIIIIllIll) or llIIIlIlI == (IlIllIlIIlIIllI, IlIllIlIIlIIllI):
            return lllllIllIIIIIllIll
        return IlIllIlIIlIIllI